# 32/64bit spec-file
#
%define name qtfm

Summary:	A lightweight file manager
Name:		%{name}
Version:	6.2.1
Release:	%mkrel 1
License:	GPL
Group:		File tools
URL:		http://www.qtfm.org
Source:		%name-%version.tar.xz
Source1:	%name-translations.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	lib64magic-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	ImageMagick-devel
BuildRequires:	qtcore5-devel
BuildRequires:  qtwidgets5-devel
BuildRequires:	qtconcurrent5-devel
BuildRequires:	qtgui5-devel
BuildRequires:	qtdbus5-devel

Requires: ffmpeg
Requires: imagemagick

%description
qtFM is a small, lightweight file manager for Linux desktops based on pure Qt 
and works great with minimal desktop environments like Openbox.



%prep
%setup -q

%build
%qmake_qt5 CONFIG+="with_magick with_ffmpeg" PREFIX=/usr
%make 

%install
rm -rf %{buildroot}

%make_install INSTALL_ROOT=%{buildroot}

mkdir -p $RPM_BUILD_ROOT/%_datadir/%{name}/translations
tar zxf %SOURCE1 -C $RPM_BUILD_ROOT/%_datadir/%{name}/translations


desktop-file-install --vendor="" \
  --remove-category="FileManager" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop

# remove unwanted doc dir
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%_bindir/%{name}
%_bindir/%{name}-tray
%_datadir/applications/%{name}.desktop
%_datadir/icons/hicolor/*/apps/%{name}.png
%_datadir/icons/hicolor/scalable/apps/%{name}.svg
%_datadir/%{name}
%_mandir/man1/%{name}*.1.bz2
%{_sysconfdir}/xdg/autostart/qtfm-tray.desktop

%changelog
* Sun Aug 08 2021 tex - 6.2.1-1pclos2021
- new version

* Thu May 28 2020 ghostbunny <ghostbunny at gmx dot de> 6.2.0-1pclos2020
- 6.2.0
- new BRs for qt5
- enable better thumbnail support with imagemagick and ffmpeg

* Thu Dec 05 2019 tex - 6.1.8-2pclos2019
- rebuild against updates

* Wed Apr 17 2019 tex - 6.1.8-1pclos2019
- new version

* Wed Aug 29 2018 tex 6.1.1-1pclos2018
- new

* Sat May 02 2015 bb <bb> 5.9-2pclos2015
- fix translatation

* Thu May 30 2013 Archie Arevalo <pclinuxos.ph at gmail.com> 5.9-1pclos2013
- update

* Mon Jun 18 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 5.5-1_archie_2011
- update
